>From 64a86acc9a83988d434a2e409b12caeaa9cfac88 Mon Sep 17 00:00:00 2001
From: Bill C Riemers <docbill@hartnell.local>
Date: Tue, 17 Jun 2008 13:31:21 -0400
Subject: [PATCH] No need to send Connection: Keep-Alive or Connection: Close.

---
 modules/access/http.c |   11 -----------
 1 files changed, 0 insertions(+), 11 deletions(-)

diff --git a/modules/access/http.c b/modules/access/http.c
index f7a2995..57a0684 100644
--- a/modules/access/http.c
+++ b/modules/access/http.c
@@ -1193,17 +1193,6 @@ static int Request( access_t *p_access, int64_t i_tell )
     net_Printf( VLC_OBJECT(p_access), p_sys->fd, pvs, "Icy-MetaData: 1\r\n" );
 
 
-    if( p_sys->b_continuous )
-    {
-        net_Printf( VLC_OBJECT( p_access ), p_sys->fd, pvs,
-                    "Connection: Keep-Alive\r\n" );
-    }
-    else if( p_sys->i_version == 1 )
-    {
-        net_Printf( VLC_OBJECT( p_access ), p_sys->fd, pvs,
-                    "Connection: Close\r\n");
-    }
-
     if( net_Printf( VLC_OBJECT(p_access), p_sys->fd, pvs, "\r\n" ) < 0 )
     {
         msg_Err( p_access, "failed to send request" );
-- 
1.5.5.1

